#ifndef __WNDMESSAGE_H
#define __WNDMESSAGE_H

#include <libicq2000/Client.h>
#include "vdricqTools.h"
#include "Window.h"

class cVdrIcqOsd;
class SimpleClient;
class cMessagelistWnd;
class cStatusbarWnd;

class cMessageWnd : public cWnd, public cEditField
{
public:
	cMessageWnd(int iLeft, int iTop, int iWidth, int iHeight, int iBpP, cOsd *pOsd, cVdrIcqOsd *pVdrIcqOsd, 
              SimpleClient  *pIcqClient, cMessagelistWnd *pMessagelistWnd, cStatusbarWnd *pStatusbarWnd);
	virtual ~cMessageWnd();

  tArea GetArea(void);
  void Draw(void);
  void SetHelpKeys(void);
  eOSState ProcessKey(eKeys Key);

  bool OnTextChanged(string& sText);

private:
  tArea   m_Area;
  cOsd  *m_pOsd;
  cVdrIcqOsd      *m_pVdrIcqOsd;
  cMessagelistWnd *m_pMessagelistWnd;
  cStatusbarWnd   *m_pStatusbarWnd;
  SimpleClient    *m_pIcqClient;
  cEditField      *m_pEditField;
};


#endif // __WNDMESSAGE_H
